%define upstream_name	 WWW-Mechanize
%define upstream_version 2.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Handy web browsing in a Perl object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

# For %%check only:
# HTTP::Server::Simple is not used anymore probably

BuildRequires: perl(CGI) >= 4.320.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Form) >= 1.0.0
BuildRequires: perl(HTML::HeadParser)
BuildRequires: perl(HTML::TokeParser)
BuildRequires: perl(HTML::TreeBuilder) >= 5.0.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Daemon) >= 6.120.0
BuildRequires: perl(HTTP::Request) >= 1.300.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Server::Simple::CGI)
BuildRequires: perl(LWP)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent) >= 6.450.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Memory::Cycle) >= 1.60.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Taint) >= 1.80.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::URL)
BuildRequires: perl(URI::file)
BuildRequires: perl(base)
BuildRequires: perl(bytes)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
WWW::Mechanize, or Mech for short, helps you automate interaction with a
website. It supports performing a sequence of page fetches including following
links and submitting forms. Each fetched page is parsed and its links and forms
are extracted. A link or a form can be selected, form fields can be filled and
the next page can be fetched. Mech also stores a history of the URLs you've
visited, which can be queried and revisited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%install
%make_install

%check
%{__make} test

%files 
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{perl_vendorlib}/WWW
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed Nov 11 2020 tv <tv> 2.30.0-1.mga8
+ Revision: 1644538
- update to 2.03

* Wed Oct 14 2020 tv <tv> 2.20.0-1.mga8
+ Revision: 1635573
- update to 2.02

* Sat Sep 19 2020 tv <tv> 2.10.0-1.mga8
+ Revision: 1628699
- update to 2.01

* Wed Jun 10 2020 tv <tv> 2.0.0-1.mga8
+ Revision: 1591679
- update to 2.00

* Tue Jun 09 2020 tv <tv> 1.990.0-1.mga8
+ Revision: 1591356
- update to 1.99

* Fri May 15 2020 tv <tv> 1.970.0-1.mga8
+ Revision: 1583819
- update to 1.97

* Sat Feb 22 2020 shlomif <shlomif> 1.960.0-1.mga8
+ Revision: 1549301
- update to 1.96

* Mon Feb 17 2020 umeabot <umeabot> 1.950.0-2.mga8
+ Revision: 1537306
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 tv <tv> 1.950.0-1.mga8
+ Revision: 1456541
- update to 1.95

* Sat Oct 12 2019 tv <tv> 1.940.0-1.mga8
+ Revision: 1452100
- update to 1.94

* Sun Oct 06 2019 tv <tv> 1.930.0-1.mga8
+ Revision: 1449788
- update to 1.93

* Sun Aug 25 2019 tv <tv> 1.920.0-1.mga8
+ Revision: 1431989
- update to 1.92

* Fri Jan 11 2019 tv <tv> 1.910.0-1.mga7
+ Revision: 1355032
- update to 1.91

* Wed Nov 14 2018 tv <tv> 1.900.0-1.mga7
+ Revision: 1329913
- update to 1.90

* Fri Oct 19 2018 tv <tv> 1.890.0-1.mga7
+ Revision: 1322419
- update to 1.89

* Thu Sep 20 2018 umeabot <umeabot> 1.880.0-2.mga7
+ Revision: 1287167
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 tv <tv> 1.880.0-1.mga7
+ Revision: 1211695
- update to 1.88

* Fri Feb 09 2018 tv <tv> 1.870.0-1.mga7
+ Revision: 1199873
- update to 1.87

* Tue Oct 03 2017 tv <tv> 1.860.0-3.mga7
+ Revision: 1167359
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.860.0-2.mga7
+ Revision: 1154471
- add missing BRs for testsuite
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1.750.0-3.mga6
+ Revision: 1035735
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.750.0-2.mga6
+ Revision: 968016
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.750.0-1.mga6
+ Revision: 851041
- update to 1.75

* Sun Oct 19 2014 umeabot <umeabot> 1.730.0-5.mga5
+ Revision: 790056
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.730.0-4.mga5
+ Revision: 745731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.730.0-3.mga5
+ Revision: 686838
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.730.0-2.mga4
+ Revision: 533107
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 1.730.0-1.mga4
+ Revision: 471760
- update to 1.73

* Sun Jan 13 2013 umeabot <umeabot> 1.720.0-2.mga3
+ Revision: 374732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.720.0-1.mga2
+ Revision: 213295
- update to 1.72

* Sat Nov 26 2011 kharec <kharec> 1.710.0-1.mga2
+ Revision: 172204
- update to 1.71
+ jquelin <jquelin>
- update to 1.70

* Wed Jun 15 2011 jquelin <jquelin> 1.680.0-1.mga2
+ Revision: 107550
- update to 1.68

* Mon Jan 24 2011 jquelin <jquelin> 1.660.0-2.mga1
+ Revision: 36627
- mageia rebuild
- imported package perl-WWW-Mechanize

